[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Discuss-gnuradio] Import Error

From: Eric Blossom
Subject: Re: [Discuss-gnuradio] Import Error
Date: Fri, 12 Mar 2004 09:12:06 -0800
User-agent: Mutt/1.4.1i

On Thu, Mar 11, 2004 at 03:29:07PM -0600, Meenal wrote:
> FYI: Looks like this mail I sent yesterday did not reach the mailing list , 
> sorry for duplicates,
> Hi all,
> I am running into a bit of a problem with Python. I am a beginner in Python 
> so please bear with me.
> When I try to execute some examples in gnuradio/src/gnu/python , such as 
> fm_demod1.py , fm_with_gui.py  etc
> I get some import errors such as :
> $ ./fm_demod1.py
> Traceback (most recent call last):
>   File "./fm_demod1.py", line 23, in ?
>     from GnuRadio import *
> ImportError: No module named GnuRadio

>From the README in the python directory:

| To run this stuff you'll need to do a "make install" from the top of
| your gnuradio tree (puts the libraries in the right place).  In
| addition, you need to set the PYTHONPATH environment variable so
| python can find everything:
|   $ export PYTHONPATH=/usr/local/gnuradio/python

With that setup you should be able to load fm_demod1. 

>  and
> $ ./fmrx.py

Probably won't work.  It was an experiment using glade, that hasn't
been maintained.

OK, OK, OK.  Give me a couple of days and I'll get my work in progress
into a publicly visible CVS repository.  I can see that it's way past time.

Part of what I've been doing is ripping out all the stuff that doesn't
work, and then adding back that which does, including unit tests to
make sure that it continues to work.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]